import request from '@/utils/request'

// 获取首页数据
export function loadIndexs(data) {
	return request({
		url: '/apis/index',
		method: 'get',
		data
	});
}

// 公司产品列表
export function cateList(data, type) {
	return request({
		url: '/apis/cate/' + type,
		method: 'get',
		data
	});
}

// 获取公司产品详情
// export function productInfo(data, id) {
// 	return request({
// 		url: '/apis/product/' + id,
// 		method: 'get',
// 		data
// 	});
// }

// aboutlist
export function aboutlist(data) {
	return request({
		url: '/apis/about',
		method: 'get',
		data
	});
}

// storylist
export function storylist(data) {
	return request({
		url: '/apis/story',
		method: 'get',
		data
	});
}
// caseslist
export function caseslist(data) {
	return request({
		url: '/apis/cases',
		method: 'get',
		data
	});
}
// productlist
export function productlist(data) {
	return request({
		url: '/apis/product',
		method: 'get',
		data
	});
}
// articlelist
export function articlelist(data) {
	return request({
		url: '/apis/article',
		method: 'get',
		data
	});
}

// 提交表单 addForm
export function addForm(data) {
	return request({
		url: '/apis/form',
		method: 'post',
		data
	});
}

// 获取公司列表
export function companies(data) {
	return request({
		url: '/apis/companies',
		method: 'get',
		data
	});
}
// 获取设备信息
export function machine(data,id) {
	return request({
		url: '/apis/machine/'+id,
		method: 'get',
		data
	});
}
// 获取设备信息数据展示
export function machineId(data,id) {
	return request({
		url: '/apis/machine/'+id,
		method: 'get',
		data
	});
}
// 交互式表单保存
export function formBaoCun(data) {
  return request({
    url: "/apis/form",
    method: "post",
    params: data
  });
}

